Autor Tema: Informe de posibles problemas y mejoras para wifislax-2.2  (Leído 2595 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado waydehawai

  • *****
  • Mensajes: 151
Informe de posibles problemas y mejoras para wifislax-2.2
« en: 30-09-2020, 02:27 (Miércoles) »
informe de daños:

entre los modulos 013-Slack_a y 017-Slack_l hay un monton de librerias repetidas y de distintas versiones,
no pasa nada porque las nuevas estan en Slack_l y sobreescriben las otras,
con la Slack_n lo mismo pero mucho menos,
te lo digo por si lo quieres limpiar porque problemas no da.

en el modulo 034-Wifislax_Desktop te has dejado otros idiomas,
y de paso vacia /var/tmp/kdecache-root

en el modulo 033-Wifislax_Installer te has dejado otros idiomas,

en 030-Wifislax_Python has actualizado pip pero en 010-SBo_Python no,
uno de los repetidos pero sin dramas.

hay mas cosas repetidas pero no afectan son chuminadas como las de antes

voy a seguir que me queda

te ha faltao el wifi-radar xD

esto ya es mas grave,
siempre que uso este comando en wifislax empieza a ir mal hasta que peta y tengo que reiniciar o minimo cerrar la sesion y abrir otra
Código: [Seleccionar]
sysctl -w kernel.hostname=newhostname
el comando es para cambiar de hostname ondeflai en 0,00000000001 segundo

he visto a veces que tocabas cosas raras del hostname asi que debe ser cosas tuya xD

.


« Última modificación: 30-09-2020, 03:20 (Miércoles) por waydehawai »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #1 en: 30-09-2020, 03:20 (Miércoles) »
informe de daños:

entre los modulos 013-Slack_a y 017-Slack_l hay un monton de librerias repetidas y de distintas versiones,
no pasa nada porque las nuevas estan en Slack_l y sobreescriben las otras,
con la Slack_n lo mismo pero mucho menos,
te lo digo por si lo quieres limpiar porque problemas no da.

en el modulo 034-Wifislax_Desktop te has dejado otros idiomas,
y de paso vacia /var/tmp/kdecache-root

en el modulo 033-Wifislax_Installer te has dejado otros idiomas,

en 030-Wifislax_Python has actualizado pip pero en 010-SBo_Python no,
uno de los repetidos pero sin dramas.

hay mas cosas repetidas pero no afectan son chuminadas como las de antes

voy a seguir que me queda

te ha faltao el wifi-radar xD

El cache de kde , lo dejo por los menus , si lo quitas iran lentos en las primeras pasadas , hasta que kde los vuelva a cahear , es una chorrada , por que al final el fichero se genera igual , pero por lo menos los menus van fluidos desde el principio.

Librerias repeditas no hay , lo que pasa es que el paquete aaa_elflibs  ,  contiene muchas parciales  ,  es como los paquetes solibs  , que son solo las libs, por si no quieres todo el paquete , eso pasa en 2 o 3  como glibc-solibs  y creo que openssl-solibs   , esas no estan por que uso los paquetes completos...creo que seamonkey tambien tiene solibs, pero de ese no uso nada.


Lo de pip , es otra historia , python3 de slackbuilds trae un pip3 , pero no va bien , por eso , en wifislax-python hay otro mas nuevo , no puedo separar el pip3 de slackbuilds por que van con el propio paquete python3  , ...   se puede borrar el ejecutable si , pero a la siguiente que actualizen python abra que acoradarse , esta todo en un orden concreto , precisamente por esas cosas ...  SBo  primero , por si acaso algo sobreescribiera cosas de slackware , ... slackware detras de sbo , para asegurar que la base estan en las cosas de slackware ,  y por ultimo wifislax , donde si hay que sobreescribir algo se hace, para corregir o para cambiar configs o cosas de esas.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #2 en: 30-09-2020, 03:23 (Miércoles) »
lo que si podria probar es a quitar el aaa_elflib ,  a ver si no lo necesito por que lo que cubre , ya uso los paquetes enteros...me suena de que tenia mas libs viejas y no podia quitarlo. (partes de libreria que no estan en ningun paquete) , lo puedo revisar pero no es drama ... estan en el "a"  y se sobreescriben si hay mas nuevos despues ...  esa es una de las ventajas de tenerlo separado por secciones , ademas de trabajar mas comodo y ordenado.

Desconectado waydehawai

  • *****
  • Mensajes: 151
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #3 en: 30-09-2020, 03:24 (Miércoles) »
Lo de pip , es otra historia , python3 de slackbuilds trae un pip3 , pero no va bien , por eso , en wifislax-python hay otro mas nuevo , no puedo separar el pip3 de slackbuilds por que van con el propio paquete python3  , ...   se puede borrar el ejecutable si , pero a la siguiente que actualizen python abra que acoradarse , esta todo en un orden concreto , precisamente por esas cosas ...  SBo  primero , por si acaso algo sobreescribiera cosas de slackware , ... slackware detras de sbo , para asegurar que la base estan en las cosas de slackware ,  y por ultimo wifislax , donde si hay que sobreescribir algo se hace, para corregir o para cambiar configs o cosas de esas.
pip es un paquete, lo quitas y lo pones donde quieras ademas normal que pongas otro mas nuevo,
le quitado el de sbo y dejado solo de de ws python cuando lo monte todo ya te dire como va.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #4 en: 30-09-2020, 03:26 (Miércoles) »

esto ya es mas grave,
siempre que uso este comando en wifislax empieza a ir mal hasta que peta y tengo que reiniciar o minimo cerrar la sesion y abrir otra
Código: [Seleccionar]
sysctl -w kernel.hostname=newhostname
el comando es para cambiar de hostname ondeflai en 0,00000000001 segundo

he visto a veces que tocabas cosas raras del hostname asi que debe ser cosas tuya xD

no lo creo ,  ;D

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #5 en: 30-09-2020, 03:27 (Miércoles) »
Lo de pip , es otra historia , python3 de slackbuilds trae un pip3 , pero no va bien , por eso , en wifislax-python hay otro mas nuevo , no puedo separar el pip3 de slackbuilds por que van con el propio paquete python3  , ...   se puede borrar el ejecutable si , pero a la siguiente que actualizen python abra que acoradarse , esta todo en un orden concreto , precisamente por esas cosas ...  SBo  primero , por si acaso algo sobreescribiera cosas de slackware , ... slackware detras de sbo , para asegurar que la base estan en las cosas de slackware ,  y por ultimo wifislax , donde si hay que sobreescribir algo se hace, para corregir o para cambiar configs o cosas de esas.
pip es un paquete, lo quitas y lo pones donde quieras ademas normal que pongas otro mas nuevo,
le quitado el de sbo y dejado solo de de ws python cuando lo monte todo ya te dire como va.

te estas equivocando de pleno ....a ver dime que paquete de sbo es el de pip   ;D ;D ;D
si no lo hay , por que te lo cuelan dentro de python-3.7

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #6 en: 30-09-2020, 03:30 (Miércoles) »
Código: [Seleccionar]
ls /var/log/packages|grep pip
apipkg-1.4-x86_64-1wifislax
python-pip-20.2.3-x86_64-1wifislax
python3-pip-20.2.3-x86_64-1wifislax


lo unico que se repite es pip3  , que como digo viene dentro del paquete python3-3.7 de slackbuilds ... y el que viene va mal , por eso añadi uno aparte para sobreescribir ese pip3  ,
« Última modificación: 30-09-2020, 03:31 (Miércoles) por USUARIONUEVO »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #7 en: 30-09-2020, 03:35 (Miércoles) »
asi se entiende mejor lo que pasa , aunque es facil de entenderlo ...


pip  (para python2   solo existe uno)



pip3 , viene incrustado dentro del paquete de python3 de slackbuilds ...no va muy bien y decidi añadir uno mas nuevo

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #8 en: 30-09-2020, 03:37 (Miércoles) »
con las libs repetidas de slackware es algo similar a lo que tu haces , el aaa_elflibs  ,  esta pensado para gente que no va a necesitar un entorno grafico y buscan instalaciones minimalistas , pillan las libs justas y las empaquetan hay ene se aaa_elflibs  , ESE PAQUETE TAL VEZ, NO ME HAGA FALTA TENERLO   , pero tampoco es un problema.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #9 en: 30-09-2020, 03:45 (Miércoles) »
asi se entiende mejor lo que pasa , aunque es facil de entenderlo ...
pip  (para python2   solo existe uno)
para python2 no,
depende como lo tengas configurado,
en la que yo uso pip es python3 y si quieres pyhon2 debes usar pip2

eso depende de cada uno , yo sigo lo que tiene slackware por defecto ,  ..de hecho fijate que no tengo el pip de slackware tampoco ... python-pip ,  por que lo actualice para estar parejo con la version de python3 pip.

pip  --> python2
pip3 --> python3


como tu dices lo tiene por ejemplo archlinux , pero tu has venido a informar sobre wifislax, y yo te cuento por que estan las cosas asi , y que lo unico si quieres estar mas tranquilo , es abrir el modulo python de slackbuilds , y borrar el ejecutable  , pero nada mas , no hay un paquetes repetido , por que los listos de slackbuilds pensaron que lo mejor era en python3  , meter de regalo pip3 y setuptolls para python3  , en lugar de separarlos ,  tal vez deberia informar al mantenedor de que eso esta mal.
« Última modificación: 30-09-2020, 03:46 (Miércoles) por USUARIONUEVO »

Desconectado waydehawai

  • *****
  • Mensajes: 151
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #10 en: 30-09-2020, 03:46 (Miércoles) »

tu archivo pip empieza por:
#!/usr/bin/python

el mio por:
#!/usr/bin/python3

asi se va a python3 y pasa del 2

me estoy liando xD
« Última modificación: 30-09-2020, 03:48 (Miércoles) por waydehawai »

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #11 en: 30-09-2020, 03:47 (Miércoles) »

asi se entiende mejor lo que pasa , aunque es facil de entenderlo ...
pip  (para python2   solo existe uno)
para python2 no,
depende como lo tengas configurado,
en la que yo uso pip es python3 y si quieres pyhon2 debes usar pip2

tu archivo pip empieza por:
#!/usr/bin/python

el mio por:
#!/usr/bin/python3

asi se va a python3 y pasa del 2

se como va eso , pero si quiero tener soporte con slackbuilds, debo seguir las reglas del juego  , ya que a veces en algun slackbuild usan pip3 ...para meter en el paquete las dependencias tambien.

Desconectado waydehawai

  • *****
  • Mensajes: 151
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #12 en: 30-09-2020, 03:49 (Miércoles) »
y porque repites el 99% de los paqutes python en el 2 y  el 3
algunos programas solo usaran 2 y otros 3

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #13 en: 30-09-2020, 03:53 (Miércoles) »
es como qt4 y qt5


tu puedes hacer perfectamente que al ejecutar

qmake  ---> sea el de qt5

pero entonces todos los slackbuilds que usen qt5 , no funcionaran por que esperan que el ejecutable se llame

qmake-qt5

si quieres apoyarte en slackbuilds , no puedes hacer con los paquetes lo que quieras , ... otra cosa es tu proyecto personal ,  yo pienso como tu ... por que python2  ya esta muerto y enterrado y las cosas deberian apuntar a python3 , pero .... ni tu ni yo decidimos en slackware ni slackbuilds.



de hecho , en la current , he discutido mas d euna vez con nuestro amigo patrick , .... pero dice que el paquete python3 , no genera un enlace "python"  y que el respeta esas cosas ...   archlinux hace un simple symlink

python --> python3

y de python2  deja solo eso , el ejecutable al 2 especifico , vamos que le da la vuelta al asunto ... yo opino que asi deberia ser, pero me tengo que adaptar a lo que hacen los de slackbuilds , si no quiero perder el soporte o compatibilidad , llamalo como quieras , pero es importante a la larga.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #14 en: 30-09-2020, 03:54 (Miércoles) »
y porque repites el 99% de los paqutes python en el 2 y  el 3
algunos programas solo usaran 2 y otros 3

si lo se ,y tambien estoy contigo , pero yo no mando ,  a veces para no tener que manetener dos slackbuilds , lo cuelan todo en el mismo ...  y intentar dividirlos, es una locura , vada semana actualizan , imaginate estar revisando todo lo de slackbuilds , solo para reducir unos megas (pocos)

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #15 en: 30-09-2020, 03:57 (Miércoles) »
si te fijas , los que tienen entrada en python2 y 3  , son casi todos de slakcbuilds ....  si te fijas en los mios  "tag wifislax"  intento tenerlos por separado si necesito ambos , como ejemplo mira como pip los tengo en 2 separados por que necesito los dos,

lo mas sano es dividirlos , va llegando el punto , donde algunas cosas ya no dan soporte a python2 ... pero sacan librerias nuevas,  separados se puede mantener una version vieja en modo python2 si es que se enecita y actualizar solo el 3 que es el moderno.

Desconectado waydehawai

  • *****
  • Mensajes: 151
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #16 en: 30-09-2020, 04:00 (Miércoles) »
es como qt4 y qt5

tu puedes hacer perfectamente que al ejecutar

qmake  ---> sea el de qt5

pero entonces todos los slackbuilds que usen qt5 , no funcionaran por que esperan que el ejecutable se llame

qmake-qt5

si quieres apoyarte en slackbuilds , no puedes hacer con los paquetes lo que quieras

si no quiero perder el soporte o compatibilidad , llamalo como quieras , pero es importante a la larga.
mi qmake va a qt5 para qt4 no sale nada nuevo hace años

los slackbuilds se pueden cambiar por si no lo sabias,
que luego no funciona pues puede ser o no es probar,
he compilado mil cosas que ponian python y cambiar a python3 y asi con algun qt,
lo que mola es mirarse el configure help del codigo que los slackbuilds tampoco son perfectos o pueden ser mejor,

pero si lo quieres todo automatizado sin mirar nada pues pasa lo que pasa,
eso tambien es perder compatibilidad con lo nuevo


Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #17 en: 30-09-2020, 04:00 (Miércoles) »
Código: [Seleccionar]
ls /var/log/packages|grep python|grep wifislax|sort

Código: [Seleccionar]
python-capstone-3.0.5-x86_64-1wifislax
python-pip-20.2.3-x86_64-1wifislax
python-setuptools-44.1.1-x86_64-1wifislax
python2-contextlib2-0.6.0.post1-x86_64-1wifislax
python2-importlib_resources-3.0.0-x86_64-1wifislax
python2-zipp-1.1.1-x86_64-1wifislax
python3-getmac-0.8.2-x86_64-1wifislax
python3-ipaddress-1.0.22-x86_64-1wifislax
python3-netaddr-0.7.19-x86_64-1wifislax
python3-npyscreen-4.10.5-x86_64-1wifislax
python3-paramiko-2.4.1-x86_64-1wifislax
python3-pefile-2019.4.18-x86_64-1wifislax
python3-pip-20.2.3-x86_64-1wifislax
python3-pycryptodome-3.9.4-x86_64-1wifislax
python3-pysnmp-4.4.12-x86_64-1wifislax
python3-scapy-2.4.3-x86_64-1wifislax
python3-setuptools-50.3.0-x86_64-1wifislax
python3-xmltodict-0.12.0-x86_64-1wifislax

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #18 en: 30-09-2020, 04:03 (Miércoles) »
pero no me entiendes tu a mi , tu o yo , podriamos cambiar lo que nos de la gana , por que sabemos a lo que jugamos , ...  pero el resto de personas seguramente NO SABEN NI DE QUE HABLAMOS AHORA MISMO .


¿sabes lo comodo que es para un usuario por ejemplo hacer?

Código: [Seleccionar]
slapt-src -i  gambas3
slapt-src , automatiza todo , hasta las dependencias te las compila antes ..y te lo deja todo en  /usr/src  , por categorias y todo , es muy muy comodo ... no tanto como un apt-get , por que aqui al final compilas el source , pero es lo mas parecido . no necesita mirar las dependencias ni saber compilar ni nada , cualquier cosa de slackbuilds la pueden instalar ...por que el sistema, esta acorde a como funciona ese sitio.

Conectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15023
Re:Informe de posibles problemas y mejoras para wifislax-2.2
« Respuesta #19 en: 30-09-2020, 04:06 (Miércoles) »
perder compatibilidad con lo nuevo no es , por que al final yo tambien tengo python3  y qt5  , y todo eso ... pero con el juego de slackbuilds ...nada mas.

con una base slackware-14.2  , lo nuevo ya lo tienes perdido casi todo , por que por ejemplo gtk es muy viejo ...y eso es jodio de actualizar.

las gcc , glibc , ... 


es sencillo , si quieres comodidad , sigues las reglas del juego , si quieres ir por tu cuenta es otra cosa  , ...pero entonces debes ya tener conocimientos y saber lo que haces y que consecuencias hay.